Main Page Namespace List Class Hierarchy Alphabetical List Data Structures File List Namespace Members Data Fields Globals

# ExCVertex Class Reference

`#include <ExCVertex.h>`

## Public Methods
| ExCVertex (void)
| ExCVertex (double x, double y, double z)
| ExCVertex (double x, double y, double z, double u, double v)
| ExCVertex (double x, double y, double z, double r, double g, double b, double a)
| ExCVertex (double x, double y, double z, double u, double v, double r, double g, double b, double a)
| ~ExCVertex (void)
void | SetX (double val)
void | SetY (double val)
void | SetZ (double val)
void | SetU (double val)
void | SetV (double val)
void | SetR (double val)
void | SetG (double val)
void | SetB (double val)
void | SetA (double val)
void | SetW (double val)
double | GetX (void)
double | GetY (void)
double | GetZ (void)
double | GetU (void)
double | GetV (void)
double | GetA (void)
double | GetB (void)
double | GetG (void)
double | GetR (void)
double | GetW (void)
void | IncX (double val)
void | IncY (double val)
void | IncZ (double val)
void | DecX (double val)
void | DecY (double val)
void | DecZ (double val)
void | Affich (void)
## Private Attributes
double | m_dA
double | m_dB
double | m_dG
double | m_dR
double | m_dU
double | m_dV
double | m_dW
double | m_dX
double | m_dY
double | m_dZ

## Constructor & Destructor Documentation

ExCVertex | ( | void |  | ) |

| Definition at line 26 of file ExCVertex.cpp. References m_dA, m_dB, m_dG, m_dR, m_dU, m_dV, m_dX, m_dY, and m_dZ.
    00027 {
    00028         m_dA=0.0f;
    00029         m_dB=0.0f;
    00030         m_dG=0.0f;
    00031         m_dR=0.0f;
    00032         m_dU=0.0f;
    00033         m_dV=0.0f;
    00034         m_dX=0.0f;
    00035         m_dY=0.0f;
    00036         m_dZ=0.0f;
    00037 }

ExCVertex | ( | double | x,
|  | double | y,
|  | double | z
| ) |

| Definition at line 39 of file ExCVertex.cpp. References SetA(), SetB(), SetG(), SetR(), SetU(), SetV(), SetX(), SetY(), and SetZ().
    00040 {
    00041         SetA(0.0f);
    00042         SetB(0.0f);
    00043         SetG(0.0f);
    00044         SetR(0.0f);
    00045         SetU(0.0f);
    00046         SetV(0.0f);
    00047         SetX(x);
    00048         SetY(y);
    00049         SetZ(z);
    00050 }

ExCVertex | ( | double | x,
|  | double | y,
|  | double | z,
|  | double | u,
|  | double | v
| ) |

| Definition at line 52 of file ExCVertex.cpp. References m_dA, m_dB, m_dG, m_dR, m_dU, m_dV, m_dX, m_dY, and m_dZ.
    00053 {
    00054         m_dA=0.0f;
    00055         m_dB=0.0f;
    00056         m_dG=0.0f;
    00057         m_dR=0.0f;
    00058         m_dU=u;
    00059         m_dV=v;
    00060         m_dX=x;
    00061         m_dY=y;
    00062         m_dZ=z;
    00063 }

ExCVertex | ( | double | x,
|  | double | y,
|  | double | z,
|  | double | r,
|  | double | g,
|  | double | b,
|  | double | a
| ) |

| Definition at line 65 of file ExCVertex.cpp. References m_dA, m_dB, m_dG, m_dR, m_dU, m_dV, m_dX, m_dY, and m_dZ.
    00066 {
    00067         m_dA=a;
    00068         m_dB=b;
    00069         m_dG=g;
    00070         m_dR=r;
    00071         m_dU=0.0f;
    00072         m_dV=0.0f;
    00073         m_dX=x;
    00074         m_dY=y;
    00075         m_dZ=z;
    00076 }

ExCVertex | ( | double | x,
|  | double | y,
|  | double | z,
|  | double | u,
|  | double | v,
|  | double | r,
|  | double | g,
|  | double | b,
|  | double | a
| ) |

| Definition at line 78 of file ExCVertex.cpp. References m_dA, m_dB, m_dG, m_dR, m_dU, m_dV, m_dX, m_dY, and m_dZ.
    00079 {
    00080         m_dA=a;
    00081         m_dB=b;
    00082         m_dG=g;
    00083         m_dR=r;
    00084         m_dU=u;
    00085         m_dV=v;
    00086         m_dX=x;
    00087         m_dY=y;
    00088         m_dZ=z;
    00089 }

~ExCVertex | ( | void |  | ) |

| Definition at line 104 of file ExCVertex.cpp.
    00105 {
    00106 }

## Member Function Documentation

void Affich | ( | void |  | ) | `[inline]`

| Definition at line 89 of file ExCVertex.h. References m_dX, m_dY, and m_dZ.
    00089 {std::cout<<"X:"<<m_dX<<" Y:"<<m_dY<<" Z:"<<m_dZ;}

void DecX | ( | double | val | ) | `[inline]`

| Definition at line 84 of file ExCVertex.h. References m_dX, and val.
    00084 {m_dX=m_dX-val;}

void DecY | ( | double | val | ) | `[inline]`

| Definition at line 85 of file ExCVertex.h. References m_dY, and val.
    00085 {m_dY=m_dY-val;}

void DecZ | ( | double | val | ) | `[inline]`

| Definition at line 86 of file ExCVertex.h. References m_dZ, and val.
    00086 {m_dZ=m_dZ-val;}

double GetA | ( | void |  | ) | `[inline]`

| Definition at line 74 of file ExCVertex.h. References m_dA.
    00074 {return m_dA;}

double GetB | ( | void |  | ) | `[inline]`

| Definition at line 75 of file ExCVertex.h. References m_dB.
    00075 {return m_dB;}

double GetG | ( | void |  | ) | `[inline]`

| Definition at line 76 of file ExCVertex.h. References m_dG.
    00076 {return m_dG;}

double GetR | ( | void |  | ) | `[inline]`

| Definition at line 77 of file ExCVertex.h. References m_dR.
    00077 {return m_dR;}

double GetU | ( | void |  | ) | `[inline]`

| Definition at line 72 of file ExCVertex.h. References m_dU.
    00072 {return m_dU;}

double GetV | ( | void |  | ) | `[inline]`

| Definition at line 73 of file ExCVertex.h. References m_dV.
    00073 {return m_dV;}

double GetW | ( | void |  | ) | `[inline]`

| Definition at line 78 of file ExCVertex.h. References m_dW.
    00078 {return m_dW;}

double GetX | ( | void |  | ) | `[inline]`

| Definition at line 69 of file ExCVertex.h. References m_dX. Referenced by ExCOctree::BuildBox(), ExCOctree::Draw(), ExCOctree::MeshInOctree(), and ExCOctree::SubDivise().
    00069 {return m_dX;}

double GetY | ( | void |  | ) | `[inline]`

| Definition at line 70 of file ExCVertex.h. References m_dY. Referenced by ExCOctree::BuildBox(), ExCOctree::Draw(), ExCOctree::MeshInOctree(), and ExCOctree::SubDivise().
    00070 {return m_dY;}

double GetZ | ( | void |  | ) | `[inline]`

| Definition at line 71 of file ExCVertex.h. References m_dZ. Referenced by ExCOctree::BuildBox(), ExCOctree::Draw(), ExCOctree::MeshInOctree(), and ExCOctree::SubDivise().
    00071 {return m_dZ;}

void IncX | ( | double | val | ) | `[inline]`

| Definition at line 80 of file ExCVertex.h. References m_dX, and val.
    00080 {m_dX=m_dX+val;}

void IncY | ( | double | val | ) | `[inline]`

| Definition at line 81 of file ExCVertex.h. References m_dY, and val.
    00081 {m_dY=m_dY+val;}

void IncZ | ( | double | val | ) | `[inline]`

| Definition at line 82 of file ExCVertex.h. References m_dZ, and val.
    00082 {m_dZ=m_dZ+val;}

void SetA | ( | double | val | ) | `[inline]`

| Definition at line 66 of file ExCVertex.h. References m_dA, and val. Referenced by ExCVertex().
    00066 {m_dA=val;}

void SetB | ( | double | val | ) | `[inline]`

| Definition at line 65 of file ExCVertex.h. References m_dB, and val. Referenced by ExCVertex().
    00065 {m_dB=val;}

void SetG | ( | double | val | ) | `[inline]`

| Definition at line 64 of file ExCVertex.h. References m_dG, and val. Referenced by ExCVertex().
    00064 {m_dG=val;}

void SetR | ( | double | val | ) | `[inline]`

| Definition at line 63 of file ExCVertex.h. References m_dR, and val. Referenced by ExCVertex().
    00063 {m_dR=val;}

void SetU | ( | double | val | ) | `[inline]`

| Definition at line 61 of file ExCVertex.h. References m_dU, and val. Referenced by ExCVertex(), ExCEntite::LoadAsc(), ExCComposed::LoadAsc(), and ExCMap::LoadMap().
    00061 {m_dU=val;}

void SetV | ( | double | val | ) | `[inline]`

| Definition at line 62 of file ExCVertex.h. References m_dV, and val. Referenced by ExCVertex(), ExCEntite::LoadAsc(), ExCComposed::LoadAsc(), and ExCMap::LoadMap().
    00062 {m_dV=val;}

void SetW | ( | double | val | ) | `[inline]`

| Definition at line 67 of file ExCVertex.h. References m_dW, and val.
    00067 {m_dW=val;}

void SetX | ( | double | val | ) | `[inline]`

| Definition at line 58 of file ExCVertex.h. References m_dX, and val. Referenced by ExCOctree::BuildBox(), ExCOctree::BuildFirstBox(), ExCEntite::BuildPvsBox(), ExCVertex(), ExCEntite::LoadAsc(), ExCComposed::LoadAsc(), ExCMap::LoadMap(), and ExCOctree::SubDivise().
    00058 {m_dX=val;}

void SetY | ( | double | val | ) | `[inline]`

| Definition at line 59 of file ExCVertex.h. References m_dY, and val. Referenced by ExCOctree::BuildBox(), ExCOctree::BuildFirstBox(), ExCEntite::BuildPvsBox(), ExCVertex(), ExCEntite::LoadAsc(), ExCComposed::LoadAsc(), ExCMap::LoadMap(), and ExCOctree::SubDivise().
    00059 {m_dY=val;}

void SetZ | ( | double | val | ) | `[inline]`

| Definition at line 60 of file ExCVertex.h. References m_dZ, and val. Referenced by ExCOctree::BuildBox(), ExCOctree::BuildFirstBox(), ExCEntite::BuildPvsBox(), ExCVertex(), ExCEntite::LoadAsc(), ExCComposed::LoadAsc(), ExCMap::LoadMap(), and ExCOctree::SubDivise().
    00060 {m_dZ=val;}

## Field Documentation

double m_dA`[private]`

| Definition at line 33 of file ExCVertex.h. Referenced by ExCVertex(), GetA(), and SetA().

double m_dB`[private]`

| Definition at line 34 of file ExCVertex.h. Referenced by ExCVertex(), GetB(), and SetB().

double m_dG`[private]`

| Definition at line 35 of file ExCVertex.h. Referenced by ExCVertex(), GetG(), and SetG().

double m_dR`[private]`

| Definition at line 36 of file ExCVertex.h. Referenced by ExCVertex(), GetR(), and SetR().

double m_dU`[private]`

| Definition at line 37 of file ExCVertex.h. Referenced by ExCVertex(), GetU(), and SetU().

double m_dV`[private]`

| Definition at line 38 of file ExCVertex.h. Referenced by ExCVertex(), GetV(), and SetV().

double m_dW`[private]`

| Definition at line 39 of file ExCVertex.h. Referenced by GetW(), and SetW().

double m_dX`[private]`

| Definition at line 40 of file ExCVertex.h. Referenced by Affich(), DecX(), ExCVertex(), GetX(), IncX(), and SetX().

double m_dY`[private]`

| Definition at line 41 of file ExCVertex.h. Referenced by Affich(), DecY(), ExCVertex(), GetY(), IncY(), and SetY().

double m_dZ`[private]`

| Definition at line 42 of file ExCVertex.h. Referenced by Affich(), DecZ(), ExCVertex(), GetZ(), IncZ(), and SetZ().

The documentation for this class was generated from the following files:

- ExCVertex.h
- ExCVertex.cpp